package in.sisoft.sqliteudemy;
        import android.content.ContentValues;
        import android.content.Context;
        import android.database.Cursor;
        import android.database.sqlite.SQLiteDatabase;
        import android.database.sqlite.SQLiteOpenHelper;

public class DBHelper extends SQLiteOpenHelper {


    public DBHelper(Context context) {
        super(context, "mydb", null, 1);
    }


    @Override
    public void onCreate(SQLiteDatabase db) {

        db.execSQL("CREATE TABLE `mybooks` (  `_id`	INTEGER PRIMARY KEY AUTOINCREMENT, `book_title`	TEXT,  `book_author`	TEXT,  `status`	TEXT )");
        db.execSQL("insert into mybooks(book_title, book_author, status) values('Book1','Author1','Reading')");
        db.execSQL("insert into mybooks(book_title, book_author, status) values('Book2','Author2','Reading')");
        db.execSQL("insert into mybooks(book_title, book_author, status) values('Book3','Author3','Reading')");

    }

    @Override
    public void onUpgrade(SQLiteDatabase db, int oldVersion, int newVersion) {

    }

    void insert_mybooks(String title, String author, String st)
    {
        SQLiteDatabase db = getWritableDatabase();
        ContentValues cv = new ContentValues();
        cv.put("book_title", title);
        cv.put("book_author", author);
        cv.put("status", st);
        db.insert("mybooks", null, cv);
        db.close() ;
    }

    Cursor listRecord()
    {
        SQLiteDatabase db = getReadableDatabase();
        Cursor c1;
        c1 = db.rawQuery("select _id, book_title, book_author, status from mybooks", null);
        return c1 ;
    }
}
